Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Creators/RandomPermutationCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Creators/RandomPermutationCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Creators/RandomPermutationCreator.cs	(revision 15018)
@@ -58,5 +58,5 @@
 
     [StorableConstructor]
-    private RandomPermutationCreator(bool deserializing) : base(deserializing) { }
+    private RandomPermutationCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private RandomPermutationCreator(RandomPermutationCreator original, Cloner cloner) : base(original, cloner) { }
     public RandomPermutationCreator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CosaCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CosaCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CosaCrossover.cs	(revision 15018)
@@ -39,5 +39,5 @@
   public class CosaCrossover : PermutationCrossover {
     [StorableConstructor]
-    protected CosaCrossover(bool deserializing) : base(deserializing) { }
+    protected CosaCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CosaCrossover(CosaCrossover original, Cloner cloner) : base(original, cloner) { }
     public CosaCrossover() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover.cs	(revision 15018)
@@ -36,5 +36,5 @@
   public class CyclicCrossover : PermutationCrossover {
     [StorableConstructor]
-    protected CyclicCrossover(bool deserializing) : base(deserializing) { }
+    protected CyclicCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CyclicCrossover(CyclicCrossover original, Cloner cloner) : base(original, cloner) { }
     public CyclicCrossover() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover2.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover2.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover2.cs	(revision 15018)
@@ -37,5 +37,5 @@
   public class CyclicCrossover2 : PermutationCrossover {
     [StorableConstructor]
-    protected CyclicCrossover2(bool deserializing) : base(deserializing) { }
+    protected CyclicCrossover2(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CyclicCrossover2(CyclicCrossover2 original, Cloner cloner) : base(original, cloner) { }
     public CyclicCrossover2() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/EdgeRecombinationCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/EdgeRecombinationCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/EdgeRecombinationCrossover.cs	(revision 15018)
@@ -39,5 +39,5 @@
   public class EdgeRecombinationCrossover : PermutationCrossover {
     [StorableConstructor]
-    protected EdgeRecombinationCrossover(bool deserializing) : base(deserializing) { }
+    protected EdgeRecombinationCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected EdgeRecombinationCrossover(EdgeRecombinationCrossover original, Cloner cloner) : base(original, cloner) { }
     public EdgeRecombinationCrossover() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MaximalPreservativeCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MaximalPreservativeCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MaximalPreservativeCrossover.cs	(revision 15018)
@@ -39,5 +39,5 @@
   public class MaximalPreservativeCrossover : PermutationCrossover {
     [StorableConstructor]
-    protected MaximalPreservativeCrossover(bool deserializing) : base(deserializing) { }
+    protected MaximalPreservativeCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MaximalPreservativeCrossover(MaximalPreservativeCrossover original, Cloner cloner) : base(original, cloner) { }
     public MaximalPreservativeCrossover() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MultiPermutationCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MultiPermutationCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MultiPermutationCrossover.cs	(revision 15018)
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    protected MultiPermutationCrossover(bool deserializing) : base(deserializing) { }
+    protected MultiPermutationCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MultiPermutationCrossover(MultiPermutationCrossover original, Cloner cloner) : base(original, cloner) { }
     public MultiPermutationCrossover()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderBasedCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderBasedCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderBasedCrossover.cs	(revision 15018)
@@ -39,5 +39,5 @@
   public class OrderBasedCrossover : PermutationCrossover {
     [StorableConstructor]
-    protected OrderBasedCrossover(bool deserializing) : base(deserializing) { }
+    protected OrderBasedCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected OrderBasedCrossover(OrderBasedCrossover original, Cloner cloner) : base(original, cloner) { }
     public OrderBasedCrossover() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover.cs	(revision 15018)
@@ -39,5 +39,5 @@
   public class OrderCrossover : PermutationCrossover {
     [StorableConstructor]
-    protected OrderCrossover(bool deserializing) : base(deserializing) { }
+    protected OrderCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected OrderCrossover(OrderCrossover original, Cloner cloner) : base(original, cloner) { }
     public OrderCrossover() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover2.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover2.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover2.cs	(revision 15018)
@@ -38,5 +38,5 @@
   public class OrderCrossover2 : PermutationCrossover {
     [StorableConstructor]
-    protected OrderCrossover2(bool deserializing) : base(deserializing) { }
+    protected OrderCrossover2(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected OrderCrossover2(OrderCrossover2 original, Cloner cloner) : base(original, cloner) { }
     public OrderCrossover2() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PartiallyMatchedCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PartiallyMatchedCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PartiallyMatchedCrossover.cs	(revision 15018)
@@ -38,5 +38,5 @@
   public class PartiallyMatchedCrossover : PermutationCrossover {
     [StorableConstructor]
-    protected PartiallyMatchedCrossover(bool deserializing) : base(deserializing) { }
+    protected PartiallyMatchedCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PartiallyMatchedCrossover(PartiallyMatchedCrossover original, Cloner cloner) : base(original, cloner) { }
     public PartiallyMatchedCrossover() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PositionBasedCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PositionBasedCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PositionBasedCrossover.cs	(revision 15018)
@@ -36,5 +36,5 @@
   public class PositionBasedCrossover : PermutationCrossover {
     [StorableConstructor]
-    protected PositionBasedCrossover(bool deserializing) : base(deserializing) { }
+    protected PositionBasedCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PositionBasedCrossover(PositionBasedCrossover original, Cloner cloner) : base(original, cloner) { }
     public PositionBasedCrossover() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/UniformLikeCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/UniformLikeCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/UniformLikeCrossover.cs	(revision 15018)
@@ -31,5 +31,5 @@
   public sealed class UniformLikeCrossover : PermutationCrossover {
     [StorableConstructor]
-    private UniformLikeCrossover(bool deserializing) : base(deserializing) { }
+    private UniformLikeCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     private UniformLikeCrossover(UniformLikeCrossover original, Cloner cloner) : base(original, cloner) { }
     public UniformLikeCrossover() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InsertionManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InsertionManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InsertionManipulator.cs	(revision 15018)
@@ -35,5 +35,5 @@
   public class InsertionManipulator : PermutationManipulator {
     [StorableConstructor]
-    protected InsertionManipulator(bool deserializing) : base(deserializing) { }
+    protected InsertionManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InsertionManipulator(InsertionManipulator original, Cloner cloner) : base(original, cloner) { }
     public InsertionManipulator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InversionManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InversionManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InversionManipulator.cs	(revision 15018)
@@ -35,5 +35,5 @@
   public class InversionManipulator : PermutationManipulator {
     [StorableConstructor]
-    protected InversionManipulator(bool deserializing) : base(deserializing) { }
+    protected InversionManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InversionManipulator(InversionManipulator original, Cloner cloner) : base(original, cloner) { }
     public InversionManipulator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/MultiPermutationManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/MultiPermutationManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/MultiPermutationManipulator.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected MultiPermutationManipulator(bool deserializing) : base(deserializing) { }
+    protected MultiPermutationManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MultiPermutationManipulator(MultiPermutationManipulator original, Cloner cloner) : base(original, cloner) { }
     public MultiPermutationManipulator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/ScrambleManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/ScrambleManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/ScrambleManipulator.cs	(revision 15018)
@@ -36,5 +36,5 @@
   public class ScrambleManipulator : PermutationManipulator {
     [StorableConstructor]
-    protected ScrambleManipulator(bool deserializing) : base(deserializing) { }
+    protected ScrambleManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ScrambleManipulator(ScrambleManipulator original, Cloner cloner) : base(original, cloner) { }
     public ScrambleManipulator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap2Manipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap2Manipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap2Manipulator.cs	(revision 15018)
@@ -35,5 +35,5 @@
   public class Swap2Manipulator : PermutationManipulator {
     [StorableConstructor]
-    protected Swap2Manipulator(bool deserializing) : base(deserializing) { }
+    protected Swap2Manipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap2Manipulator(Swap2Manipulator original, Cloner cloner) : base(original, cloner) { }
     public Swap2Manipulator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap3Manipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap3Manipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap3Manipulator.cs	(revision 15018)
@@ -37,5 +37,5 @@
   public class Swap3Manipulator : PermutationManipulator {
     [StorableConstructor]
-    protected Swap3Manipulator(bool deserializing) : base(deserializing) { }
+    protected Swap3Manipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap3Manipulator(Swap3Manipulator original, Cloner cloner) : base(original, cloner) { }
     public Swap3Manipulator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/TranslocationInversionManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/TranslocationInversionManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/TranslocationInversionManipulator.cs	(revision 15018)
@@ -36,5 +36,5 @@
   public class TranslocationInversionManipulator : PermutationManipulator {
     [StorableConstructor]
-    protected TranslocationInversionManipulator(bool deserializing) : base(deserializing) { }
+    protected TranslocationInversionManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TranslocationInversionManipulator(TranslocationInversionManipulator original, Cloner cloner) : base(original, cloner) { }
     public TranslocationInversionManipulator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/TranslocationManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/TranslocationManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/TranslocationManipulator.cs	(revision 15018)
@@ -36,5 +36,5 @@
   public class TranslocationManipulator : PermutationManipulator {
     [StorableConstructor]
-    protected TranslocationManipulator(bool deserializing) : base(deserializing) { }
+    protected TranslocationManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TranslocationManipulator(TranslocationManipulator original, Cloner cloner) : base(original, cloner) { }
     public TranslocationManipulator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Edge.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Edge.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Edge.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected Edge(bool deserializing) : base(deserializing) { }
+    protected Edge(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Edge(Edge original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/PermutationMoveAttribute.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/PermutationMoveAttribute.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/PermutationMoveAttribute.cs	(revision 15018)
@@ -32,10 +32,10 @@
 
     [StorableConstructor]
-    protected PermutationMoveAttribute(bool deserializing) : base(deserializing) { }
+    protected PermutationMoveAttribute(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PermutationMoveAttribute(PermutationMoveAttribute original, Cloner cloner)
       : base(original, cloner) {
       this.MoveQuality = original.MoveQuality;
     }
-    public PermutationMoveAttribute() : this(0) { }
+    public PermutationMoveAttribute() : this(0.0) { }
     public PermutationMoveAttribute(double moveQuality)
       : base() {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Scramble/ScrambleMove.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Scramble/ScrambleMove.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Scramble/ScrambleMove.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    private ScrambleMove(bool deserializing) : base(deserializing) { }
+    private ScrambleMove(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ScrambleMove(ScrambleMove original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Scramble/ScrambleMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Scramble/ScrambleMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Scramble/ScrambleMoveGenerator.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected ScrambleMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected ScrambleMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ScrambleMoveGenerator(ScrambleMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public ScrambleMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Scramble/ScrambleMoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Scramble/ScrambleMoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Scramble/ScrambleMoveMaker.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected ScrambleMoveMaker(bool deserializing) : base(deserializing) { }
+    protected ScrambleMoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ScrambleMoveMaker(ScrambleMoveMaker original, Cloner cloner) : base(original, cloner) { }
     public ScrambleMoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Scramble/StochasticScrambleMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Scramble/StochasticScrambleMultiMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Scramble/StochasticScrambleMultiMoveGenerator.cs	(revision 15018)
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    protected StochasticScrambleMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticScrambleMultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StochasticScrambleMultiMoveGenerator(StochasticScrambleMultiMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticScrambleMultiMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/ExhaustiveSwap2MoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/ExhaustiveSwap2MoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/ExhaustiveSwap2MoveGenerator.cs	(revision 15018)
@@ -32,5 +32,5 @@
   public class ExhaustiveSwap2MoveGenerator : Swap2MoveGenerator, IExhaustiveMoveGenerator {
     [StorableConstructor]
-    protected ExhaustiveSwap2MoveGenerator(bool deserializing) : base(deserializing) { }
+    protected ExhaustiveSwap2MoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExhaustiveSwap2MoveGenerator(ExhaustiveSwap2MoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public ExhaustiveSwap2MoveGenerator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/StochasticSwap2MultiMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/StochasticSwap2MultiMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/StochasticSwap2MultiMoveGenerator.cs	(revision 15018)
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected StochasticSwap2MultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticSwap2MultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StochasticSwap2MultiMoveGenerator(StochasticSwap2MultiMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticSwap2MultiMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/StochasticSwap2SingleMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/StochasticSwap2SingleMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/StochasticSwap2SingleMoveGenerator.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected StochasticSwap2SingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticSwap2SingleMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StochasticSwap2SingleMoveGenerator(StochasticSwap2SingleMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticSwap2SingleMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2Move.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2Move.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2Move.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public class Swap2Move : TwoIndexMove {
     [StorableConstructor]
-    protected Swap2Move(bool deserializing) : base(deserializing) { }
+    protected Swap2Move(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap2Move(Swap2Move original, Cloner cloner) : base(original, cloner) { }
     public Swap2Move() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveAbsoluteAttribute.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveAbsoluteAttribute.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveAbsoluteAttribute.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected Swap2MoveAbsoluteAttribute(bool deserializing) : base(deserializing) { }
+    protected Swap2MoveAbsoluteAttribute(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap2MoveAbsoluteAttribute(Swap2MoveAbsoluteAttribute original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveGenerator.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected Swap2MoveGenerator(bool deserializing) : base(deserializing) { }
+    protected Swap2MoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap2MoveGenerator(Swap2MoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public Swap2MoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveHardTabuCriterion.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveHardTabuCriterion.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveHardTabuCriterion.cs	(revision 15018)
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected Swap2MoveHardTabuCriterion(bool deserializing) : base(deserializing) { }
+    protected Swap2MoveHardTabuCriterion(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap2MoveHardTabuCriterion(Swap2MoveHardTabuCriterion original, Cloner cloner) : base(original, cloner) { }
     public Swap2MoveHardTabuCriterion()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveMaker.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected Swap2MoveMaker(bool deserializing) : base(deserializing) { }
+    protected Swap2MoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap2MoveMaker(Swap2MoveMaker original, Cloner cloner) : base(original, cloner) { }
     public Swap2MoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveRelativeAttribute.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveRelativeAttribute.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveRelativeAttribute.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected Swap2MoveRelativeAttribute(bool deserializing) : base(deserializing) { }
+    protected Swap2MoveRelativeAttribute(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap2MoveRelativeAttribute(Swap2MoveRelativeAttribute original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveSoftTabuCriterion.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveSoftTabuCriterion.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveSoftTabuCriterion.cs	(revision 15018)
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected Swap2MoveSoftTabuCriterion(bool deserializing) : base(deserializing) { }
+    protected Swap2MoveSoftTabuCriterion(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap2MoveSoftTabuCriterion(Swap2MoveSoftTabuCriterion original, Cloner cloner) : base(original, cloner) { }
     public Swap2MoveSoftTabuCriterion()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveTabuMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveTabuMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/Swap2/Swap2MoveTabuMaker.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected Swap2MoveTabuMaker(bool deserializing) : base(deserializing) { }
+    protected Swap2MoveTabuMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap2MoveTabuMaker(Swap2MoveTabuMaker original, Cloner cloner) : base(original, cloner) { }
     public Swap2MoveTabuMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeIndexMove.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeIndexMove.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeIndexMove.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected ThreeIndexMove(bool deserializing) : base(deserializing) { }
+    protected ThreeIndexMove(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ThreeIndexMove(ThreeIndexMove original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/ExhaustiveInsertionMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/ExhaustiveInsertionMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/ExhaustiveInsertionMoveGenerator.cs	(revision 15018)
@@ -33,5 +33,5 @@
   public class ExhaustiveInsertionMoveGenerator : TranslocationMoveGenerator, IExhaustiveMoveGenerator {
     [StorableConstructor]
-    protected ExhaustiveInsertionMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected ExhaustiveInsertionMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExhaustiveInsertionMoveGenerator(ExhaustiveInsertionMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public ExhaustiveInsertionMoveGenerator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/StochasticSingleInsertionMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/StochasticSingleInsertionMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/StochasticSingleInsertionMoveGenerator.cs	(revision 15018)
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    protected StochasticInsertionMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticInsertionMultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StochasticInsertionMultiMoveGenerator(StochasticInsertionMultiMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticInsertionMultiMoveGenerator() : base() {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/StochasticTranslocationMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/StochasticTranslocationMultiMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/StochasticTranslocationMultiMoveGenerator.cs	(revision 15018)
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected StochasticTranslocationMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticTranslocationMultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StochasticTranslocationMultiMoveGenerator(StochasticTranslocationMultiMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticTranslocationMultiMoveGenerator() : base() {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/StochasticTranslocationSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/StochasticTranslocationSingleMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/StochasticTranslocationSingleMoveGenerator.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected StochasticTranslocationSingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticTranslocationSingleMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StochasticTranslocationSingleMoveGenerator(StochasticTranslocationSingleMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticTranslocationSingleMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMove.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMove.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMove.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public class TranslocationMove : ThreeIndexMove {
     [StorableConstructor]
-    protected TranslocationMove(bool deserializing) : base(deserializing) { }
+    protected TranslocationMove(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TranslocationMove(TranslocationMove original, Cloner cloner) : base(original, cloner) { }
     public TranslocationMove() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveAbsoluteAttribute.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveAbsoluteAttribute.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveAbsoluteAttribute.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected TranslocationMoveAbsoluteAttribute(bool deserializing) : base(deserializing) { }
+    protected TranslocationMoveAbsoluteAttribute(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TranslocationMoveAbsoluteAttribute(TranslocationMoveAbsoluteAttribute original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveGenerator.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected TranslocationMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected TranslocationMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TranslocationMoveGenerator(TranslocationMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public TranslocationMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveHardTabuCriterion.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveHardTabuCriterion.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveHardTabuCriterion.cs	(revision 15018)
@@ -66,5 +66,5 @@
 
     [StorableConstructor]
-    protected TranslocationMoveHardTabuCriterion(bool deserializing) : base(deserializing) { }
+    protected TranslocationMoveHardTabuCriterion(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TranslocationMoveHardTabuCriterion(TranslocationMoveHardTabuCriterion original, Cloner cloner) : base(original, cloner) { }
     public TranslocationMoveHardTabuCriterion()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveMaker.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected TranslocationMoveMaker(bool deserializing) : base(deserializing) { }
+    protected TranslocationMoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TranslocationMoveMaker(TranslocationMoveMaker original, Cloner cloner) : base(original, cloner) { }
     public TranslocationMoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveRelativeAttribute.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveRelativeAttribute.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveRelativeAttribute.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected TranslocationMoveRelativeAttribute(bool deserializing) : base(deserializing) { }
+    protected TranslocationMoveRelativeAttribute(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TranslocationMoveRelativeAttribute(TranslocationMoveRelativeAttribute original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveSoftTabuCriterion.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveSoftTabuCriterion.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveSoftTabuCriterion.cs	(revision 15018)
@@ -66,5 +66,5 @@
 
     [StorableConstructor]
-    protected TranslocationMoveSoftTabuCriterion(bool deserializing) : base(deserializing) { }
+    protected TranslocationMoveSoftTabuCriterion(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TranslocationMoveSoftTabuCriterion(TranslocationMoveSoftTabuCriterion original, Cloner cloner) : base(original, cloner) { }
     public TranslocationMoveSoftTabuCriterion()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveTabuMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveTabuMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/ThreeOpt/TranslocationMoveTabuMaker.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected TranslocationMoveTabuMaker(bool deserializing) : base(deserializing) { }
+    protected TranslocationMoveTabuMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TranslocationMoveTabuMaker(TranslocationMoveTabuMaker original, Cloner cloner) : base(original, cloner) { }
     public TranslocationMoveTabuMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoIndexMove.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoIndexMove.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoIndexMove.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected TwoIndexMove(bool deserializing) : base(deserializing) { }
+    protected TwoIndexMove(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TwoIndexMove(TwoIndexMove original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/ExhaustiveInversionMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/ExhaustiveInversionMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/ExhaustiveInversionMoveGenerator.cs	(revision 15018)
@@ -33,5 +33,5 @@
   public class ExhaustiveInversionMoveGenerator : InversionMoveGenerator, IExhaustiveMoveGenerator {
     [StorableConstructor]
-    protected ExhaustiveInversionMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected ExhaustiveInversionMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExhaustiveInversionMoveGenerator(ExhaustiveInversionMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public ExhaustiveInversionMoveGenerator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMove.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMove.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMove.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public class InversionMove : TwoIndexMove {
     [StorableConstructor]
-    protected InversionMove(bool deserializing) : base(deserializing) { }
+    protected InversionMove(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InversionMove(InversionMove original, Cloner cloner) : base(original, cloner) { }
     public InversionMove() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveAbsoluteAttribute.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveAbsoluteAttribute.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveAbsoluteAttribute.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected InversionMoveAbsoluteAttribute(bool deserializing) : base(deserializing) { }
+    protected InversionMoveAbsoluteAttribute(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InversionMoveAbsoluteAttribute(InversionMoveAbsoluteAttribute original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveGenerator.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected InversionMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected InversionMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InversionMoveGenerator(InversionMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public InversionMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveHardTabuCriterion.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveHardTabuCriterion.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveHardTabuCriterion.cs	(revision 15018)
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected InversionMoveHardTabuCriterion(bool deserializing) : base(deserializing) { }
+    protected InversionMoveHardTabuCriterion(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InversionMoveHardTabuCriterion(InversionMoveHardTabuCriterion original, Cloner cloner) : base(original, cloner) { }
     public InversionMoveHardTabuCriterion()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveMaker.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected InversionMoveMaker(bool deserializing) : base(deserializing) { }
+    protected InversionMoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InversionMoveMaker(InversionMoveMaker original, Cloner cloner) : base(original, cloner) { }
     public InversionMoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveRelativeAttribute.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveRelativeAttribute.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveRelativeAttribute.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected InversionMoveRelativeAttribute(bool deserializing) : base(deserializing) { }
+    protected InversionMoveRelativeAttribute(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InversionMoveRelativeAttribute(InversionMoveRelativeAttribute original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveSoftTabuCriterion.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveSoftTabuCriterion.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveSoftTabuCriterion.cs	(revision 15018)
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected InversionMoveSoftTabuCriterion(bool deserializing) : base(deserializing) { }
+    protected InversionMoveSoftTabuCriterion(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InversionMoveSoftTabuCriterion(InversionMoveSoftTabuCriterion original, Cloner cloner) : base(original, cloner) { }
     public InversionMoveSoftTabuCriterion()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveTabuMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveTabuMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/InversionMoveTabuMaker.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected InversionMoveTabuMaker(bool deserializing) : base(deserializing) { }
+    protected InversionMoveTabuMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InversionMoveTabuMaker(InversionMoveTabuMaker original, Cloner cloner) : base(original, cloner) { }
     public InversionMoveTabuMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/StochasticInversionMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/StochasticInversionMultiMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/StochasticInversionMultiMoveGenerator.cs	(revision 15018)
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected StochasticInversionMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticInversionMultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StochasticInversionMultiMoveGenerator(StochasticInversionMultiMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticInversionMultiMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/StochasticInversionSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/StochasticInversionSingleMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Moves/TwoOpt/StochasticInversionSingleMoveGenerator.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected StochasticInversionSingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticInversionSingleMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StochasticInversionSingleMoveGenerator(StochasticInversionSingleMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticInversionSingleMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Permutation.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Permutation.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Permutation.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected Permutation(bool deserializing) : base(deserializing) { }
+    protected Permutation(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Permutation(Permutation original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationCrossover.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected PermutationCrossover(bool deserializing) : base(deserializing) { }
+    protected PermutationCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PermutationCrossover(PermutationCrossover original, Cloner cloner) : base(original, cloner) { }
     protected PermutationCrossover()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationEncoding.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationEncoding.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationEncoding.cs	(revision 15018)
@@ -80,5 +80,5 @@
 
     [StorableConstructor]
-    private PermutationEncoding(bool deserializing) : base(deserializing) { }
+    private PermutationEncoding(StorableConstructorFlag deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationManipulator.cs	(revision 15018)
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    protected PermutationManipulator(bool deserializing) : base(deserializing) { }
+    protected PermutationManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PermutationManipulator(PermutationManipulator original, Cloner cloner) : base(original, cloner) { }
     protected PermutationManipulator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationType.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationType.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationType.cs	(revision 15018)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected PermutationType(bool deserializing) : base(deserializing) { }
+    protected PermutationType(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PermutationType(PermutationType original, Cloner cloner) : base(original, cloner) { }
     public PermutationType() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/ShakingOperators/PermutationShakingOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/ShakingOperators/PermutationShakingOperator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/ShakingOperators/PermutationShakingOperator.cs	(revision 15018)
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    protected PermutationShakingOperator(bool deserializing) : base(deserializing) { }
+    protected PermutationShakingOperator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PermutationShakingOperator(PermutationShakingOperator original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/SimilarityCalculators/HammingSimilarityCalculator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/SimilarityCalculators/HammingSimilarityCalculator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/SimilarityCalculators/HammingSimilarityCalculator.cs	(revision 15018)
@@ -32,5 +32,5 @@
     protected override bool IsCommutative { get { return true; } }
 
-    private HammingSimilarityCalculator(bool deserializing) : base(deserializing) { }
+    private HammingSimilarityCalculator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private HammingSimilarityCalculator(HammingSimilarityCalculator original, Cloner cloner) : base(original, cloner) { }
     public HammingSimilarityCalculator() : base() { }
